Cisco's ESXi 6.5U1 Custom ISO – contains outdated VIBs

הפוסט הזה מתחבר לפוסט שלי על אופן החלת ESXi patches.

באחת הסביבות הותקנו שרתי סיסקו והשתמשו כמובן ב-custom image שלהם:

Vmware-ESXi-6.5.0-7967591-Custom-Cisco-6.5.1.3.iso (לא יודעים לכתוב VMware כמו שצריך 🙂 ..)

ה-ESXi מגיע עם build 7967591, כלומר 6.5U1g.

אבל כאשר צירפתי לשרת baselines ב-Update Manager, חיכתה לי הפתעה לא נעימה:

ה-host כן compliant ל-patch חדש (U1g), אבל not compliant ל-patch הישן (patch 2)! חמור מאוד.

אפילו התחברתי ל-host כדי לוודא שה-VIBs באמת ישנים:

אכן מדובר ב-build של 6.5U1 GA…

לאחר התקנת ה-patch ה-build של אותו ה-vib עלה :

לא יודע איך זה קרה, אבל נראה שתהליך בניית ה-image לא היה תקין – לקחו image של U1 GA והחילו עליו רק את ה-patch האחרון ללא כל ה-patches ב"אמצע":

בדקתי images של HPE בגירסאות השונות ולא היה חסר כלום. גם ה-image לגירסה 6.0 של סיסקו תקין, כנראה מדובר בתקלה נקודתית.

אגב, ה-KB המדובר מכיל הערה מזהירה בנושא:

"We do not guarantee that OEM image profile contains the superset of VIBs including all VMware VIBs."

מיכאל.

כתיבת תגובה

האימייל לא יוצג באתר. שדות החובה מסומנים *

*